CVE-2017-14529

Priority
Description
The pe_print_idata function in peXXigen.c in the Binary File Descriptor
(BFD) library (aka libbfd), as distributed in GNU Binutils 2.29, mishandles
HintName vector entries, which allows remote attackers to cause a denial of
service (heap-based buffer over-read and application crash) via a crafted
PE file, related to the bfd_getl16 function.
Package
Upstream:released (2.29.1)
Ubuntu 12.04 ESM (Precise Pangolin):needs-triage
Trusty/esm:needs-triage
Ubuntu 16.04 LTS (Xenial Xerus):needs-triage
Ubuntu 18.04 LTS (Bionic Beaver):not-affected (2.29.1-1ubuntu1)
Ubuntu 18.10 (Cosmic Cuttlefish):not-affected (2.29.1-1ubuntu1)
Ubuntu 19.04 (Disco Dingo):not-affected (2.29.1-1ubuntu1)
Ubuntu 19.10 (Eoan):not-affected (2.29.1-1ubuntu1)
Patches:
Upstream:https://sourceware.org/git/gitweb.cgi?p=binutils-gdb.git;h=4d465c689a8fb27212ef358d0aee89d60dee69a6
Upstream:https://sourceware.org/git/gitweb.cgi?p=binutils-gdb.git;h=dcaaca89e8618eba35193c27afcb1cfa54f74582 (v2.29)
More Information

Updated: 2019-04-26 14:20:01 UTC (commit 30899e40836d26e1bb5f0b072d31fd87b6cf3bd4)